Public Class frmKundenDatenblatt
    Dim KundenNr As Integer
    Dim KD_DB As VERAG_PROG_ALLGEMEIN.cKundenDatenblatt
    Sub New(KundenNr)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.KundenNr = KundenNr
    End Sub


    Sub getValues()
        KD_DB = New VERAG_PROG_ALLGEMEIN.cKundenDatenblatt(KundenNr)
        KD_DB.kdb_KundenNr = KundenNr
        KD_DB.kdb_route = txtRoute.Text
        KD_DB.kdb_buergschaftsgeber = txtBrggeber.Text
        KD_DB.kdb_anzahlLKW = txtAnzahlLKW.Text
        KD_DB.kdb_anzahlMA = txtAnzahlMA.Text
        KD_DB.kdb_bestimmungslandEU = txtBestimmungslandEU.Text
        KD_DB.kdb_grosskunden = txtGrolsskunden.Text
        KD_DB.kdb_gueter = txtGueter.Text
        KD_DB.kdb_grenzen = txtGrenzen.Text
        KD_DB.kdb_verhaltenAvisierung = txtAvisierung.Text
        KD_DB.kdb_sonstiges = txtSonstiges.Text
    End Sub

    Sub setValues()
        txtRoute.Text = If(KD_DB.kdb_route, "")
        txtBrggeber.Text = If(KD_DB.kdb_buergschaftsgeber, "")
        txtAnzahlLKW.Text = If(KD_DB.kdb_anzahlLKW, "")
        txtAnzahlMA.Text = If(KD_DB.kdb_anzahlMA, "")
        txtBestimmungslandEU.Text = If(KD_DB.kdb_bestimmungslandEU, "")
        txtGrolsskunden.Text = If(KD_DB.kdb_grosskunden, "")
        txtGueter.Text = If(KD_DB.kdb_gueter, "")
        txtGrenzen.Text = If(KD_DB.kdb_grenzen, "")
        txtAvisierung.Text = If(KD_DB.kdb_verhaltenAvisierung, "")
        txtSonstiges.Text = If(KD_DB.kdb_sonstiges, "")
    End Sub

    Private Sub frmKundenDatenblatt_Load(sender As Object, e As EventArgs) Handles Me.Load
        usrCntlAnhaenge.INIT(KundenNr)
        KD_DB = New VERAG_PROG_ALLGEMEIN.cKundenDatenblatt(KundenNr)
        Dim AD = New VERAG_PROG_ALLGEMEIN.cAdressen(KundenNr)
        lbl.Text = AD.Ordnungsbegriff
        setValues()
    End Sub

    Sub saveME()
        getValues()
        If KD_DB.SAVE() Then Me.Close()
    End Sub
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        saveME()
    End Sub

    Private Sub btn_Click(sender As Object, e As EventArgs) Handles btn.Click
        Me.Close()
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        If usrCntlAnhaenge.DS IsNot Nothing Then
            Dim ds = New VERAG_PROG_ALLGEMEIN.cDATENSERVER("DOKUMENTE", "VORLAGEN", "SONSTIGE", "", "", "Checkliste_Frachtführer.pdf")

            If ds IsNot Nothing AndAlso ds.DATA_LIST.LIST.Count > 0 AndAlso ds.GET_TOP1_PATH(False) <> "" Then
                usrCntlAnhaenge.DS.uploadDataToDATENSERVER(ds.GET_TOP1_PATH(False), "Checkliste_Frachtführer.pdf", ".pdf", False)
                usrCntlAnhaenge.initPdf()
            End If
        End If

    End Sub
End Class